#!/usr/bin/env python
# encoding: utf-8
"""
sam_to_fastq.py

Created by Rod Docking on 2010-12-08.
Copyright (c) 2010 Canada's Michael Smith Genome Sciences Centre. All rights reserved.
"""

import sys
import os
from SAM_record import SAM_record

def main():
    
    if not len(sys.argv) == 2:
        print "Usage: samtools view aln.bam | sam_to_fastq.py out_root"
        sys.exit()

    in_handle = sys.stdin
    read_one_handle = open("{0}_1.fq".format(sys.argv[1]),'w')
    read_two_handle = open("{0}_2.fq".format(sys.argv[1]),'w')
        
    for line in in_handle:
        
        sr = SAM_record(line)
                
        if sr.first_read():
            read_one_handle.write(sr.print_fastq())
        else:
            read_two_handle.write(sr.print_fastq())    
                
    in_handle.close()
    read_one_handle.close()
    read_two_handle.close()
    sys.exit()


if __name__ == '__main__':
    main()

